# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global jettyname   jetty
%global jtuid       110
%global username    %{name}
%global confdir     %{_sysconfdir}/%{name}
%global logdir      %{_localstatedir}/log/%{name}
%global homedir     %{_datadir}/%{name}
%global jettycachedir %{_localstatedir}/cache/%{name}
%global tempdir     %{jettycachedir}/temp
%global rundir      %{_localstatedir}/run/%{name}
%global jettylibdir %{_localstatedir}/lib/%{name}
%global appdir      %{jettylibdir}/webapps
%define beanshellversion 1.0-SNAPSHOT
%define parentversion 10
Name:           jetty
Version:        6.1.26
Release:        %mkrel 14
Summary:        The Jetty Webserver and Servlet Container

Group:          Development/Java 
License:        ASL 2.0
URL:            http://jetty.mortbay.org/jetty/
Source0:        http://dist.codehaus.org/%{name}/%{name}-%{version}/%{name}-%{version}-src.zip
Source1:	djetty.script
Source2:        jetty.init
Source3:        jetty.logrotate
Source4:        %{name}-01-depmap.xml
Source5:        %{name}-depmap.xml

Patch0:	        disable-modules.patch
Patch1:	        jetty-util-pom.patch

Patch2:	        jetty-6.1.26-enable-modules.patch
Patch3:	        jetty-6.1.26-modules-jspc-maven-plugin.patch
Patch4:	        jetty-6.1.26-enable-contrib-beanshell-plugin.patch
Patch5:	        jetty-6.1.26-enable-modules-jsp-2.1.patch
Patch6:	        jetty-6.1.26-modules-jsp-21-pom.patch
Patch7:	        jetty-6.1.26-enable-modules-annotations.patch
Patch8:	        jetty-6.1.26-modules-jsp-2.0-pom.patch
Patch9:	        jetty-6.1.26-modules-annotations-pom.patch
Patch10:	jetty-6.1.26-modules-plus-pom.patch
Patch11:	jetty-6.1.26-contrib-rewrite-handler-pom.patch
Patch12:	jetty-6.1.26-contrib-ldap-jaas-pom.patch
Patch13:	jetty-6.1.26-modules-jsp-api-2.0-pom.patch
Patch14:	jetty-6.1.26-modules-util5-pom.patch
Patch15:	jetty-6.1.26-modules-jetty-pom.patch
BuildArch:      noarch

BuildRequires:  jpackage-utils >= 0:1.6
# build only
BuildRequires: maven-antrun-plugin
BuildRequires: apache-commons-parent
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-war-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-shared-dependency-tree
BuildRequires: maven-shared-osgi
BuildRequires: servlet25
BuildRequires: jsp21
BuildRequires: slf4j
BuildRequires: objectweb-asm
BuildRequires: apache-commons-el
BuildRequires: apache-commons-daemon
BuildRequires: geronimo-annotation-1.0-api
BuildRequires: geronimo-jta
BuildRequires: jetty-jsp-2.1
BuildRequires: ecj3
BuildRequires: bsh2
BuildRequires: geronimo-parent-poms
BuildRequires: apache-commons-parent
BuildRequires: derby
BuildRequires: tomcat5-jasper
BuildRequires: tomcat6-lib
BuildRequires: maven-skins
BuildRequires: zip 
BuildRequires: maven-model
BuildRequires: forge-parent

Requires:     chkconfig
Requires:     jpackage-utils >= 0:1.6
Requires:     ant >= 0:1.6
Requires:     apache-commons-el
Requires:     apache-commons-logging
Requires:     geronimo-annotation-1.0-api
Requires:     geronimo-jta
Requires:     mx4j 
Requires:     servlet25
Requires:     jsp21
Requires:     slf4j
Requires:     javamail
Requires:     jetty-jsp-2.1
Requires:     ecj3
Requires:     xerces-j2 >= 0:2.7
Requires:     xml-commons-apis
#Provides:  group(%username) = %jtuid
#Provides:  user(%username) = %jtuid
Obsoletes:  %name-eclipse
Provides:   %name-eclipse = %version-%release

%description
Jetty is a 100% Java HTTP Server and Servlet Container. 
This means that you do not need to configure and run a 
separate web server (like Apache) in order to use java, 
servlets and JSPs to generate dynamic content. Jetty is 
a fully featured web server for static and dynamic content. 
Unlike separate server/container solutions, this means 
that your web server and web application run in the same 
process, without interconnection overheads and complications. 
Furthermore, as a pure java component, Jetty can be simply 
included in your application for demonstration, distribution 
or deployment. Jetty is available on all Java supported 
platforms.  

%package maven-plugins
Summary:        Maven2 plugins for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Requires:       tomcat5-jasper
Requires:       maven2
Requires:       bsh2
Requires:       jetty-jsp-2.1

%description maven-plugins
%{summary}. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}

%description    javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}

%description    manual
%{summary}.

%prep
%setup -q -n %{jettyname}-%{version}
for f in $(find . -name "*.?ar"); do rm $f; done
find . -name "*.class" -exec rm {} \;

%patch0 -b .sav
%patch1 -b .sav
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0


cp %{SOURCE1} djetty

#remove glassfish specific file
#rm -fr modules/jsp-2.1/src/main/java/com/sun/org/apache/commons/logging/impl/JettyLog.java

sed -i "s|<groupId>org.codehaus.mojo</groupId>||g" modules/management/pom.xml
sed -i "s|dependency-maven-plugin|maven-dependency-plugin|g" modules/management/pom.xml
sed -i "s|<groupId>org.codehaus.mojo</groupId>||g" modules/jsp-2.0/pom.xml
sed -i "s|<groupId>ant</groupId>|<groupId>org.apache.ant</groupId>|g" modules/jsp-2.0/pom.xml
sed -i "s|dependency-maven-plugin|maven-dependency-plugin|g" modules/jsp-2.0/pom.xml
sed -i "s|<groupId>org.codehaus.mojo</groupId>||g" modules/naming/pom.xml
sed -i "s|dependency-maven-plugin|maven-dependency-plugin|g" modules/naming/pom.xml
sed -i "s|<groupId>org.codehaus.mojo</groupId>||g" modules/annotations/pom.xml
sed -i "s|dependency-maven-plugin|maven-dependency-plugin|g" modules/annotations/pom.xml
sed -i "s|jcl104-over-slf4j|slf4j-jcl|g" modules/jsp-2.0/pom.xml 

sed -i "s|<groupId>geronimo-spec</groupId>|<groupId>org.apache.geronimo.specs</groupId>|g" pom.xml modules/plus/pom.xml
sed -i "s|<artifactId>geronimo-spec-jta</artifactId>|<artifactId>geronimo-jta_1.1_spec</artifactId>|g" pom.xml modules/plus/pom.xml
sed -i "s|<jta-spec-version>1.0.1B-rc4</jta-spec-version>|<jta-spec-version>1.1.1</jta-spec-version>|g" pom.xml

sed -i "s|mvn|mvn-rpmbuild|g" distribution/jetty-assembly/pom.xml

sed -i "s|zip \$D/\$N|zip \$D/\$N/\$N|g" bin/build_release_bundles.sh

sed -i "s|# look for JETTY_HOME|export JETTY_HOME=/usr/share/jetty|g" bin/jetty-xinetd.sh

%build
sed -i -e "s|/usr/share|%{_datadir}|g" djetty

mvn-rpmbuild \
    -e \
    -Dmaven.local.depmap.file=%{SOURCE4} \
    -Dmaven.test.skip=true \
    -DupdateReleaseInfo=true \
    install

pushd modules/maven-plugin
  mvn-rpmbuild \
      -e \
      -Dmaven.local.depmap.file=%{SOURCE4} \
      plugin:xdoc
popd

pushd modules/jspc-maven-plugin
  mvn-rpmbuild \
      -e \
      -Dmaven.local.depmap.file=%{SOURCE4} \
      plugin:xdoc
popd 

#pushd distribution/jetty-assembly
#  mvn-jpp \
#       -e \
#       -s $(pwd)/settings.xml \
#       -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
#       -Dmaven2.jpp.depmap.file=%{SOURCE4} \
#       -Dmaven.test.skip=true \
#       install
#popd

sh bin/build_release_bundles.sh .

%install
rm -rf $RPM_BUILD_ROOT
# dirs
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -dm 755 $RPM_BUILD_ROOT%{_initrddir}
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -dm 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 modules/jetty/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty.pom
install -pm 644 modules/util/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-util.pom
install -pm 644 modules/util5/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-util5.pom
install -pm 644 modules/html/pom.xml  $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-html.pom
install -pm 644 modules/naming/pom.xml  $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-naming.pom
install -pm 644 modules/annotations/pom.xml  $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-annotations.pom
install -pm 644 modules/management/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-management.pom
install -pm 644 modules/jsp-2.0/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jsp-2.0.pom
install -pm 644 modules/jsp-api-2.0/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jsp-api-2.0.pom
install -pm 644 modules/jsp-2.1/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jsp-2.1-jetty.pom
install -pm 644 modules/plus/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-plus.pom
install -pm 644 modules/start/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-start.pom
install -pm 644 extras/client/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-client.pom
install -pm 644 extras/jetty-java5-stats/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-java5-stats.pom
install -pm 644 extras/servlet-tester/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-servlet-tester.pom
install -pm 644 extras/sslengine/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-sslengine.pom
install -pm 644 extras/threadpool/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-java5-threadpool.pom
install -pm 644 contrib/jetty-rewrite-handler/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-rewrite-handler.pom
install -pm 644 contrib/jetty-ldap-jaas/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-jetty-ldap-jaas.pom


# examples/test-webapp
# examples/test-jndi-webapp
# examples/embedded
# contrib/jetty-ant
# contrib/start-daemon

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{confdir}
install -dm 755 $RPM_BUILD_ROOT%{homedir}
install -dm 755 $RPM_BUILD_ROOT%{logdir}
install -dm 755 $RPM_BUILD_ROOT%{rundir}
install -dm 755 $RPM_BUILD_ROOT%{tempdir}
install -dm 755 $RPM_BUILD_ROOT%{appdir}
# main pkg
unzip -q %{name}-%{version}.zip -d $RPM_BUILD_ROOT%{homedir}
mv $RPM_BUILD_ROOT%{homedir}/%{name}-%{version}/* $RPM_BUILD_ROOT%{homedir}/
rm -fr $RPM_BUILD_ROOT%{homedir}/%{name}-%{version}

chmod +x $RPM_BUILD_ROOT%{homedir}/bin/jetty-xinetd.sh
chmod +x djetty
mv djetty $RPM_BUILD_ROOT%{_bindir}/djetty
ln -s %{homedir}/bin/jetty.sh $RPM_BUILD_ROOT%{_bindir}/%{name}
install -pm 755 %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -pm 755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
echo '# Placeholder configuration file.  No default is provided.' > $RPM_BUILD_ROOT%{confdir}/jetty.conf

ln -s %{homedir}/lib/jetty-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty.jar
ln -s %{homedir}/lib/jetty-util-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-util.jar
ln -s %{homedir}/start.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/start.jar
ln -s %{homedir}/lib/annotations/jetty-annotations-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-annotations.jar
ln -s %{homedir}/lib/ext/jetty-client-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-client.jar
ln -s %{homedir}/lib/ext/jetty-sslengine-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-sslengine.jar
ln -s %{homedir}/lib/ext/jetty-html-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-html.jar
ln -s %{homedir}/lib/ext/jetty-java5-stats-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-java5-stats.jar
ln -s %{homedir}/lib/ext/jetty-java5-threadpool-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-java5-threadpool.jar
ln -s %{homedir}/lib/ext/jetty-ldap-jaas-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-ldap-jaas.jar
ln -s %{homedir}/lib/ext/jetty-rewrite-handler-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-rewrite-handler.jar
ln -s %{homedir}/lib/ext/jetty-servlet-tester-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-servlet-tester.jar
ln -s %{homedir}/lib/jre1.5/jetty-util5-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-util5.jar
ln -s %{homedir}/lib/jsp-2.0/jsp-api-2.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jsp-api-2.0.jar
ln -s %{homedir}/lib/jsp-2.1/jsp-2.1-jetty-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jsp-2.1-jetty.jar
ln -s %{homedir}/lib/management/jetty-management-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-management.jar
ln -s %{homedir}/lib/naming/jetty-naming-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-naming.jar
ln -s %{homedir}/lib/plus/jetty-plus-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-plus.jar


%add_maven_depmap JPP-%{name}.pom 
%add_maven_depmap JPP.%{name}-jetty.pom %{name}/jetty.jar
%add_maven_depmap JPP.%{name}-jetty-util.pom %{name}/jetty-util.jar
%add_maven_depmap JPP.%{name}-jetty-util5.pom %{name}/jetty-util5.jar
%add_maven_depmap JPP.%{name}-jetty-html.pom %{name}/jetty-html.jar
%add_maven_depmap JPP.%{name}-jetty-naming.pom %{name}/jetty-naming.jar
%add_maven_depmap JPP.%{name}-jetty-annotations.pom %{name}/jetty-annotations.jar
%add_maven_depmap JPP.%{name}-jetty-client.pom %{name}/jetty-client.jar
%add_maven_depmap JPP.%{name}-jetty-management.pom %{name}/jetty-management.jar
%add_maven_depmap JPP.%{name}-jetty-sslengine.pom %{name}/jetty-sslengine.jar
%add_maven_depmap JPP.%{name}-jsp-2.0.pom
%add_maven_depmap JPP.%{name}-jsp-api-2.0.pom %{name}/jsp-api-2.0.jar
%add_maven_depmap JPP.%{name}-jsp-2.1-jetty.pom %{name}/jsp-2.1-jetty.jar
%add_maven_depmap JPP.%{name}-jetty-plus.pom %{name}/jetty-plus.jar
%add_maven_depmap JPP.%{name}-start.pom %{name}/start.jar
%add_maven_depmap JPP.%{name}-jetty-servlet-tester.pom %{name}/jetty-servlet-tester.jar
%add_maven_depmap JPP.%{name}-jetty-java5-stats.pom %{name}/jetty-java5-stats.jar
%add_maven_depmap JPP.%{name}-jetty-java5-threadpool.pom %{name}/jetty-java5-threadpool.jar
%add_maven_depmap JPP.%{name}-jetty-rewrite-handler.pom %{name}/jetty-rewrite-handler.jar
%add_maven_depmap JPP.%{name}-jetty-ldap-jaas.pom %{name}/jetty-ldap-jaas.jar

install -pm 644 modules/jspc-maven-plugin/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-maven-jetty-jspc-plugin.pom
install -pm 644 modules/jspc-maven-plugin/target/maven-jetty-jspc-plugin-%{version}.jar $RPM_BUILD_ROOT/%{_javadir}/maven-jetty-jspc-plugin.jar
install -pm 644 modules/jspc-maven-plugin/target/maven-jetty-jspc-plugin-%{version}-site-component.jar \
  $RPM_BUILD_ROOT%{_javadir}/maven-jetty-jspc-plugin-site-component.jar
%add_maven_depmap JPP-maven-jetty-jspc-plugin.pom maven-jetty-jspc-plugin.jar

install -pm 644 modules/maven-plugin/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-maven-jetty-plugin.pom
install -pm 644 modules/maven-plugin/target/maven-jetty-plugin-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/maven-jetty-plugin.jar
install -pm 644 modules/maven-plugin/target/maven-jetty-plugin-%{version}-site-component.jar \
  $RPM_BUILD_ROOT%{_javadir}/maven-jetty-plugin-site-component.jar
%add_maven_depmap JPP-maven-jetty-plugin.pom maven-jetty-plugin.jar

install -pm 644 contrib/maven-beanshell-plugin/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-maven-beanshell-plugin.pom
install -pm 644 contrib/maven-beanshell-plugin/target/maven-beanshell-plugin-%{beanshellversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/maven-beanshell-plugin.jar
%add_maven_depmap JPP-maven-beanshell-plugin.pom maven-beanshell-plugin.jar


( cat << EO_RC
JAVA_HOME=/usr/lib/jvm/java
JAVA_OPTIONS=
JETTY_HOME=%{homedir}
JETTY_CONSOLE=%{logdir}/jetty-console.log
JETTY_PORT=8080
JETTY_RUN=%{_localstatedir}/run/%{name}
JETTY_PID=\$JETTY_RUN/jetty.pid
EO_RC
) > $RPM_BUILD_ROOT%{homedir}/.jettyrc

# javadoc
mv $RPM_BUILD_ROOT%{homedir}/jxr/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

rm -fr $RPM_BUILD_ROOT%{homedir}/logs
ln -s %{logdir} $RPM_BUILD_ROOT%{homedir}/logs

mv $RPM_BUILD_ROOT%{homedir}/etc/* $RPM_BUILD_ROOT/%{confdir}
rm -fr $RPM_BUILD_ROOT%{homedir}/etc
ln -s %{confdir} $RPM_BUILD_ROOT%{homedir}/etc

mv $RPM_BUILD_ROOT%{homedir}/webapps/* $RPM_BUILD_ROOT/%{appdir}
rm -fr $RPM_BUILD_ROOT%{homedir}/webapps
ln -s %{appdir} $RPM_BUILD_ROOT%{homedir}/webapps

rm -fr $RPM_BUILD_ROOT%{homedir}/contrib
rm -fr $RPM_BUILD_ROOT%{homedir}/distribution
rm -fr $RPM_BUILD_ROOT%{homedir}/examples
rm -fr $RPM_BUILD_ROOT%{homedir}/extras
rm -fr $RPM_BUILD_ROOT%{homedir}/modules
rm -fr $RPM_BUILD_ROOT%{homedir}/patches
rm -fr $RPM_BUILD_ROOT%{homedir}/jxr
rm -fr $RPM_BUILD_ROOT%{homedir}/project-website
rm -fr $RPM_BUILD_ROOT%{homedir}/LICENSES
rm -fr $RPM_BUILD_ROOT%{homedir}/bin/jetty-service.conf
rm -fr $RPM_BUILD_ROOT%{homedir}/bin/Jetty-Service.exe
rm -fr $RPM_BUILD_ROOT%{homedir}/bin/README.jetty-cygwin.txt.txt
rm -fr $RPM_BUILD_ROOT%{homedir}/bin/build_release_bundles.sh
rm -fr $RPM_BUILD_ROOT%{homedir}/bin/jetty-cygwin.sh
rm -fr $RPM_BUILD_ROOT%{homedir}/*.txt
rm -fr $RPM_BUILD_ROOT%{homedir}/pom.*
rm -fr $RPM_BUILD_ROOT%{homedir}/*.zip

pushd %{buildroot}%{homedir}/lib/jsp-2.1
# jsp-2.1-jetty-%{version}.jar
   rm -rf ant*.jar core*.jar jsp-2.1-glassfish-2.1.v20091210.jar jsp-api-2.1-glassfish-2.1.v20091210.jar
   ln -s $(build-classpath ant) ant-1.6.5.jar
   ln -s $(build-classpath ecj3) core-3.1.1.jar
   ln -s $(build-classpath jetty-jsp-2.1-glassfish) jsp-2.1-glassfish-2.1.v20091210.jar
   ln -s $(build-classpath jetty-jsp-2.1-api-glassfish) jsp-api-2.1-glassfish-2.1.v20091210.jar
popd

#use system jars
pushd $RPM_BUILD_ROOT%{homedir}/lib/jsp-2.0

# jsp-api-2.0.jar
rm -fr ant*.jar
rm -fr commons-el*.jar
rm -fr jasper-compiler-5.5.15.jar
rm -fr jasper-compiler-jdt-5.5.15.jar
rm -fr jasper-runtime-5.5.15.jar
rm -fr slf4j-*.jar
rm -fr x*.jar

build-jar-repository . ant
build-jar-repository . commons-el
build-jar-repository . tomcat6/jasper
build-jar-repository . slf4j/jcl-over-slf4j
build-jar-repository . slf4j/api
build-jar-repository . slf4j/simple
build-jar-repository . xerces-j2
build-jar-repository . xml-commons-apis
build-jar-repository . tomcat6-jsp-2.1-api
popd

pushd $RPM_BUILD_ROOT%{homedir}/lib/annotations
rm -fr geronimo-annotation*.jar
build-jar-repository . geronimo-annotation-1.0-api


pushd $RPM_BUILD_ROOT%{homedir}/lib/management/mx4j
rm -fr *.jar
build-jar-repository . mx4j/mx4j
build-jar-repository . mx4j/mx4j-tools
popd

pushd $RPM_BUILD_ROOT%{homedir}/lib/naming
build-jar-repository . javamail/mail javamail/dsn
rm -fr mail-*.jar
popd

pushd $RPM_BUILD_ROOT%{homedir}/lib
build-jar-repository . tomcat6-servlet-2.5-api
rm -fr servlet-api-*.jar
popd

%pre
# Use /bin/sh so init script will start properly.
%_pre_useradd %username %homedir /bin/sh || :

# Add the "jetty" user and group
%_pre_groupadd %username %username &>/dev/null || :

%post
[ -x /sbin/chkconfig ] && /sbin/chkconfig --add %{name}

%postun
%_postun_userdel %username
%_postun_groupdel %username


%preun
if [ $1 = 0 ]; then
    [ -f /var/lock/subsys/%{name} ] && %{_initrddir}/%{name} stop
    [ -f %{_initrddir}/%{name} -a -x /sbin/chkconfig ] && /sbin/chkconfig --del %{name}

    %_postun_userdel %{name} >> /dev/null 2>&1 || :
fi

%files
%{_bindir}/*
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/%{name}.jar
%{_javadir}/%{name}/%{name}-html.jar 
%{_javadir}/%{name}/%{name}-util.jar
%{_javadir}/%{name}/jetty-annotations.jar
%{_javadir}/%{name}/jetty-client.jar
%{_javadir}/%{name}/jetty-java5-stats.jar
%{_javadir}/%{name}/jetty-java5-threadpool.jar
%{_javadir}/%{name}/jetty-ldap-jaas.jar
%{_javadir}/%{name}/jetty-management.jar
%{_javadir}/%{name}/jetty-naming.jar
%{_javadir}/%{name}/jetty-plus.jar
%{_javadir}/%{name}/jetty-rewrite-handler.jar
%{_javadir}/%{name}/jetty-servlet-tester.jar
%{_javadir}/%{name}/jetty-sslengine.jar
%{_javadir}/%{name}/jetty-util5.jar
%{_javadir}/%{name}/jsp-api-2.0.jar
%{_javadir}/%{name}/jsp-2.1-jetty.jar
%{_javadir}/%{name}/start.jar
%exclude %{_mavenpomdir}/JPP-maven-beanshell-plugin.pom
%exclude %{_mavenpomdir}/JPP-maven-jetty-jspc-plugin.pom
%exclude %{_mavenpomdir}/JPP-maven-jetty-plugin.pom
%{_mavenpomdir}/JPP-jetty.pom
%{_mavenpomdir}/JPP.jetty-jetty-annotations.pom
%{_mavenpomdir}/JPP.jetty-jetty-client.pom
%{_mavenpomdir}/JPP.jetty-jetty-html.pom
%{_mavenpomdir}/JPP.jetty-jetty-java5-stats.pom
%{_mavenpomdir}/JPP.jetty-jetty-java5-threadpool.pom
%{_mavenpomdir}/JPP.jetty-jetty-ldap-jaas.pom
%{_mavenpomdir}/JPP.jetty-jetty-management.pom
%{_mavenpomdir}/JPP.jetty-jetty-naming.pom
%{_mavenpomdir}/JPP.jetty-jetty-plus.pom
%{_mavenpomdir}/JPP.jetty-jetty-rewrite-handler.pom
%{_mavenpomdir}/JPP.jetty-jetty-servlet-tester.pom
%{_mavenpomdir}/JPP.jetty-jetty-sslengine.pom
%{_mavenpomdir}/JPP.jetty-jetty-util.pom
%{_mavenpomdir}/JPP.jetty-jetty-util5.pom
%{_mavenpomdir}/JPP.jetty-jetty.pom
%{_mavenpomdir}/JPP.jetty-jsp-2.0.pom
%{_mavenpomdir}/JPP.jetty-jsp-api-2.0.pom
%{_mavenpomdir}/JPP.jetty-jsp-2.1-jetty.pom
%{_mavenpomdir}/JPP.jetty-start.pom
%{_mavendepmapfragdir}/*
%config(noreplace) %{confdir}
%dir %{jettylibdir}
%dir %{jettycachedir}
%{homedir}
%{appdir}
%attr(755, jetty, jetty) %{logdir}
%attr(755, jetty, jetty) %{tempdir}
%attr(755, jetty, jetty) %{rundir}
%dir %{appdir}
%doc NOTICE.txt
%doc README.txt
%doc VERSION.txt
%{_initrddir}/%{name}
%{_sysconfdir}/logrotate.d/%{name}

%files maven-plugins
%{_javadir}/maven-beanshell-plugin.jar
%{_javadir}/maven-jetty-jspc-plugin.jar
%{_javadir}/maven-jetty-jspc-plugin-site-component.jar
%{_javadir}/maven-jetty-plugin.jar
%{_javadir}/maven-jetty-plugin-site-component.jar
%{_mavenpomdir}/JPP-maven-beanshell-plugin.pom
%{_mavenpomdir}/JPP-maven-jetty-jspc-plugin.pom
%{_mavenpomdir}/JPP-maven-jetty-plugin.pom

%files javadoc
%doc %{_javadocdir}/%{name}

%files manual
%doc %{_docdir}/%{name}-%{version}


%changelog

* Sun Apr 29 2012 colin <colin> 6.1.26-14.mga2
+ Revision: 234252
- Add LSB headers to initscripts (mga#5262)

* Fri Feb 24 2012 gil <gil> 6.1.26-13.mga2
+ Revision: 214152
- corrected broken sed
- buid fix
- correctd geronimo-jta references
- added R geronimo-jta

* Fri Dec 09 2011 dmorgan <dmorgan> 6.1.26-12.mga2
+ Revision: 179641
- Add depmap for activation.jar
- Remove useless macros

* Fri Oct 21 2011 dmorgan <dmorgan> 6.1.26-10.mga2
+ Revision: 157129
- Fix groups
- Fix buildrequires
- Remove unused patches
- Adapt build for maven 3.x.

  + gil <gil>
    - rebuilt added maven-plugins sub package,jetty-annotations, jetty-naming,...
    - rebuilt added maven-plugins sub package,jetty-annotations, jetty-naming,...

* Fri May 27 2011 dmorgan <dmorgan> 6.1.26-8.mga1
+ Revision: 100586
- Add zip as buildrequires
- Fix build ( add tomcat6-lib as buildrequire)
- Fix userdel
- Create User/groups
- Fix buildrequires
- Relax requires on mx4j
- Rebuild after bootstrapping
- imported package jetty


* Mon Dec 20 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-5
- Do not require tomcat6-lib.
- Drop one depmap.

* Tue Dec 14 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-4
- Do not require apache-commons-parent in order to not bring maven and friends.

* Wed Dec 01 2010 Jeff Johnston <jjohnstn@redhat.com> 6.1.26-3
- Resolves #655808
- Fix util pom to reference javax.servlet groupid for servlet-api.
- Don't add tomcat6-servlet-api to depmap.
- Remove tomcat5 BR.

* Mon Nov 22 2010 Jeff Johnston <jjohnstn@redhat.com> 6.1.26-2
- Resolves #652020
- Remove tomcat5 references and replace with appropriate alternatives.

* Fri Nov 12 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-1
- Update to 6.1.26.

* Tue Jun 15 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.24-1
- Update to 6.1.24.

* Wed Dec 02 2009 Jeff Johnston <jjohnstn@redhat.com> 6.1.21-4
- Resolves #543081
- Add maven depmap fragments.

* Tue Nov 03 2009 Jeff Johnston <jjohnstn@redhat.com> 6.1.21-3
- Security issues
- Resolves #532675, #5326565

* Tue Sep 29 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.21-2
- Install unversioned jars.

* Tue Sep 29 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.21-1
- Update to upstream 6.1.21 release.

* Fri Sep 18 2009 Jeff Johnston <jjohnstn@redhat.com> 6.1.20-3
- Add djetty script source and fix init script to work properly.

* Tue Sep 15 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.20-2
- Fix requires.

* Tue Sep 15 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.20-1
- Update to upstream 6.1.20.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 21 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.15-3
- Do not allow directory listings.

* Tue May 19 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.15-2
- Update OSGI manifest file.

* Tue May 19 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.15-1
- Upgrade to 5.1.15 source tarball for Fedora.

* Fri Apr 22 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-3
- Add %%{libdir} to files list.
- Resolves #473585

* Wed Feb 11 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.10
- Rename jettyc back to .jettyrc.
- Resolves #485012

* Tue Feb 03 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.9
- Change %%{_sysconfdir}/init.d references to be %%{_initrddir}

* Mon Feb 02 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.8
- Fixes for unowned directories.

* Tue Jan 06 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.7
- Patch init.d script to add status operation
- Patch unix djetty script so it doesn't issue error messages about /dev/tty
  and fix various inconsistencies with the init.d script

* Tue Aug 12 2008 Andrew Overholt <overholt@redhat.com> 5.1.14-1.6
- Require tomcat5 bits with proper OSGi metadata

* Fri Jul 11 2008 Andrew Overholt <overholt@redhat.com> 5.1.14-1.5
- Bump release.

* Fri Jul 11 2008 Andrew Overholt <overholt@redhat.com> 5.1.14-1.3
- Update OSGi manifest

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 5.1.14-1.3
- drop repotag

* Fri Jul 04 2008 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1jpp.2
- Security patch
- Resolves #417401, #417411, #417391

* Wed Jun 25 2008 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1jpp.1
- Upgrade to 5.1.14 source tarball for Fedora

* Fri Aug 31 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.7
- Resolves #262221
- Use /bin/sh instead of /sbin/nologin so init will work

* Thu Aug 30 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.6
- Rename all source files from jetty5 to jetty
- Replace jetty5 references with jetty in source files

* Tue Aug 28 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.5
- Rename from jetty5 to jetty

* Mon Aug 27 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.4
- Remove post manual step
- Remove jsse requirement
- Add comment inside jetty.conf so it isn't empty

- Use /sbin/nologin when creating the jetty5 user and group
* Mon Aug 27 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.3
- Use /sbin/nologin when creating the jetty5 user and group
- Remove all jars in %%prep
- Remove unnecessary preun step for removing extra jars
- Fix license
- Fix group for manual subpackage
- Fix group for javadoc subpackage
- Add comment regarding empty jetty.conf file
- Add jsp requirement
- Remove %%post javadoc ln command
- Remove %%post manual ln command
- Change source0 tarball to remove BCLA-licensed jars
- Remove epoch 0 references in subpackage requires for extras and manual
- Rename .jettyrc to jettyrc
- Remove hidden files
- Don't install gcj files twice

* Fri Aug 24 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.2
- Remove demo subpackage.

* Wed Aug 08 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.1
- Comment out demo subpackage.

* Mon Aug 06 2007 Ben Konrath <bkonrath@redhat.com> 5.1.12-1jpp.1
- Add --excludes to aot-compile-rpm line.
- Inject OSGi manifest into jetty jar. 

* Thu Jul 19 2007 Andrew Overholt <overholt@redhat.com> 5.1.12-1jpp.1
- Update to 5.1.12 for Fedora.
- Use fedora-usermgmt stuff.

* Fri Feb 02 2007 Ralph Apel <r.apel at r-apel.de> - 0:5.1.12-1jpp
- Upgrade to 5.1.12
- Add gcj_support option
- Avoid circular dependency with mx4j-tools thru bootstrap option

* Sat Aug 12 2006 Anthony Green <green@redhat.com> - 0:5.1.11-0.rc0.4jpp
- Escape macros in changelog with %%.
- Untabify.
- Don't delete symlinks in %%preun.
- Add logrotate file.
- Don't install unversioned javadoc files.
- Don't rm old links in manual package.
- Convert some end-of-line encodings.

* Fri Aug 11 2006 Anthony Green <green@redhat.com> - 0:5.1.11-0.rc0.3jpp
- First Fedora build.
- Disable extras.
- Use fedora-useradd & fedora-userdel.
- Add gcj support.
- Tweak License and Group tags for rpmlint.
- Use full URL for Source0.

* Thu Aug 10 2006 Ralph Apel <r.apel@r-apel.de> - 0:5.1.11-0.rc0.2jpp
- Fix version/release in changelog
- Introduce option '--without extra' to omit this subpackage and its (B)Rs
- Don't delete user on erase
- Tidy up BRs
- Add commons-el.jar to ext
- No ghost for lib/org.mortbay.jetty.jar, lib/org.mortbay.jmx.jar
- Avoid use of build-jar-repository in spec
- Avoid use of rebuild-jar-repository in init and start script
- Don't handle JETTY_PID file in init script: start script takes care
- Patch PostFileFilter to remove a (unused) com.sun package import
- Explicitly (B)R  geronimo-jta-1.0.1B-api instead of any jta
- Add empty file /etc/jetty5/jetty.conf: 
  activate contexts manually if desired

* Tue Jun 20 2006 Ralph Apel <r.apel@r-apel.de> - 0:5.1.2-3jpp
- First JPP-1.7 release

* Mon Mar 14 2005 Ralph Apel <r.apel@r-apel.de> - 0:5.1.2-2jpp
- link commons-logging to %%{_homedir}/ext
- link jspapi to %%{_homedir}/ext
- only use %%{_homedir}/etc not conf

* Tue Feb 01 2005 Ralph Apel <r.apel@r-apel.de> - 0:5.1.2-1jpp
- Upgrade to 5.1.2
- Prepare for build with Java 1.5, (thx to Petr Adamek)
- Require /sbin/chkconfig instead of chkconfig package

* Tue Jan 04 2005 Ralph Apel <r.apel@r-apel.de> - 0:5.0.0-2jpp
- Include build of extra, so called JettyPlus
- Create own subdirectory for jetty5 in %%{_javadir}
- Change %%{_homedir}/conf to %%{_homedir}/etc
- Dropped chkconfig requirement; just exec if /sbin/chkconfig available
- Fixed unpackaged .jettyrc

* Mon Oct 04 2004 Ralph Apel <r.apel@r-apel.de> - 0:5.0.0-1jpp
- Upgrade to 5.0.0
- Fixed URL
- relaxed some versioned dependencies

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:4.2.20-2jpp
- Rebuild with ant-1.6.2

* Fri Jun 18 2004 Ralph Apel <r.apel@r-apel.de> - 0:4.2.20-1jpp
- Upgrade to 4.2.20
- Drop ownership of /usr/share/java and /usr/bin

* Tue Feb 24 2004 Ralph Apel <r.apel@r-apel.de> - 0:4.2.17-2jpp
- enhancements and corrections thanks to Kaj J. Niemi:
- $JETTY_HOME/ext didn't exist but %%post depended on it
- correctly shutdown jetty upon uninstall
- RedHat depends on chkconfig/service to work so a functional
  init.d/jetty4 needed to be created
- djetty4 (jetty.sh) did funny things especially when it attempted to guess
  stuff
- a lot of .xml config files assumed that the configs were in etc/ instead of
  conf/

* Thu Feb 19 2004 Ralph Apel <r.apel@r-apel.de> - 0:4.2.17-1jpp
- First JPackage release.
